app-table-filter {
  .tf-wrapper {
    display: flex;
    flex-wrap: wrap;
    justify-items: baseline;
    align-items: baseline;

    &-chips {
      margin-top: var(--eui-s-s);
    }

    .eui-input-group {
      margin-bottom: 0;
    }

    .eui-chip {
      margin: 0 0 0 var(--eui-s-s);
    }
  }

  .eui-input-group-addon {
    padding-right: var(--eui-s-xl);
    .eui-autocomplete .eui-input-text {
      border-radius: 3px 0 0 3px;
      border-right: none;
    }

    .icn .eui-icon-svg {
      color: var(--eui-c-neutral-light);
    }
  }

  .align-right {
    .eui-input-group-addon {
      padding-left: var(--eui-s-xl);
      padding-right: 0;
    }
  }

  .filter-selected {
    .eui-button {
      border-color: var(--eui-c-primary);
      border-bottom: 6px solid var(--eui-c-primary);
      padding-bottom: var(--eui-s-xs);
    }

    .eui-autocomplete__container .eui-autocomplete__field-wrapper input {
      border-color: var(--eui-c-primary);
      border-bottom: 6px solid var(--eui-c-primary);
      padding-bottom: var(--eui-s-xs);
    }

    .eui-autocomplete input {
      border-color: var(--eui-c-primary);
      border-bottom: 6px solid var(--eui-c-primary);
      padding-bottom: var(--eui-s-xs);
    }

    .icn {
      border-color: var(--eui-c-primary);
      border-bottom: 6px solid var(--eui-c-primary);
      padding-bottom: 0;
    }
  }

  .filter-label {
    display: flex;
    min-height: var(--eui-s-2xl);
    align-items: center;
  }
}
.eui-tree {
  max-height: 250px;
  overflow-y: auto;

  button.eui-list-item {
    padding: var(--eui-s-s) !important;
  }
}
